% % % %% this function solve the equilibrium interest rate 
% productivity is assumed to be lognormal distribution
function [res]=Fun_SolveR(r,ParaSet)

zs   = ParaSet(1);
zp   = ParaSet(2);
sig  = ParaSet(3);
b    = ParaSet(4);
tau  = ParaSet(5);
mu   = ParaSet(6);
theta= ParaSet(7);
phi  = ParaSet(8);
Ee   = ParaSet(9);

ep_h = ((r+phi)/zp);
ep_l = (r/zp);
es_h = ((r+phi)/tau/zs);
es_l = (r/tau/zs);

Fp_h = Fun_g(0,ep_h,Ee,sig);
Fp_l = Fun_g(0,ep_l,Ee,sig);
Fs_h = Fun_g(0,es_h,Ee,sig);
Fs_l = Fun_g(0,es_l,Ee,sig);

Ks = mu*(Fs_l+b*theta*Fs_h);
Kp = (1-mu)*(Fp_l+theta*Fp_h);

res = Ks+Kp-1;

res = abs(res);


