%% this function solves the aggregate values in equilibrium given interest rate
% producitivity is assumed to be log-normal
function [Ys,Yp,Y,Ks,Kp,As,Ap,ep_l,es_l]=Fun_SolveY(r,ParaSet)

zs   = ParaSet(1);
zp   = ParaSet(2);
sig  = ParaSet(3);
b    = ParaSet(4);
tau  = ParaSet(5);
mu   = ParaSet(6);
theta= ParaSet(7);
phi  = ParaSet(8);
Ee   = ParaSet(9);

ep_h = ((r+phi)/zp);
ep_l = (r/zp);
es_h = ((r+phi)/tau/zs);
es_l = (r/tau/zs);

Fp_h = Fun_g(0,ep_h,Ee,sig);
Fp_l = Fun_g(0,ep_l,Ee,sig);
Fs_h = Fun_g(0,es_h,Ee,sig);
Fs_l = Fun_g(0,es_l,Ee,sig);

Ep_h = Fun_g(1,ep_h,Ee,sig);
Ep_l = Fun_g(1,ep_l,Ee,sig);
Es_h = Fun_g(1,es_h,Ee,sig);
Es_l = Fun_g(1,es_l,Ee,sig);

Ys = mu*(Es_l+b*theta*Es_h)*zs;
Yp = (1-mu)*(Ep_l+theta*Ep_h)*zp;
Y  = Ys+Yp;

Ks = mu*(Fs_l+b*theta*Fs_h);
Kp = (1-mu)*(Fp_l+theta*Fp_h);

As = Ys/Ks;
Ap = Yp/Kp;
