// RawData contains all the original variables include
// REGTYPE: registration type; PERSENG: employment; VA: value added; FA: fixed assets
// LTL: liability; TP: total profit; CWP: wage payment; cic_adj: industry code;

//================================================================================
use "C:\Users\xzw\Desktop\AEJ_Code\stata\RawData.dta", clear // find the folder you save raw data
// processing raw data to generate the dataset for summary statistics
keep year VA PERSENG FA CWP LTL REGTYPE
save C:\Users\xzw\Desktop\AEJ_Code\stata\SumStat, replace  // save the datafile on our computer


//================================================================================
//processing raw data to generate the dataset for estimation
use "C:\Users\xzw\Desktop\AEJ_Code\stata\RawData.dta", clear // find the folder you save raw data
bysort id year: gen tt=_N
drop if tt>1 
xtset id year
drop if FA<0 
drop if LTL<0 
drop if VA<0
drop if CWP<0
drop if PERSENG<0
bysort id: gen DTL = LTL/FA-l.LTL/l.FA   // define the change of long-term loan-to-fixed asset ratio
// compute TFPQ according to Midrigan and Xu (2012)
gen labsh1= 0.5 
gen eta = 0.85
gen Asi_temp = (VA/(FA^(1-labsh1)*PERSENG^labsh1)^eta)
gen Asi = Asi_temp^(1/(1-labsh1)/eta) 
gen IsSOE = 1 if REGTYPE == "110" | REGTYPE == "141" | REGTYPE == "143" | REGTYPE == "151" // define SOE dummy
replace IsSOE=0 if IsSOE==.   // POE if IsSOE=0
save C:\Users\xzw\Desktop\AEJ_Code\stata\IntLibData, replace // save the datafile on our computer


//================================================================================
use "C:\Users\xzw\Desktop\AEJ_Code\stata\RawData.dta", clear // find the folder you save raw data
//processing raw data to generate the dataset for calibration
drop if FA<0 
drop if LTL<0 
drop if VA<0
drop if CWP<0
drop if PERSENG<0
// drop sample with extreme values of labor share
gen WL_Y=CWP/VA
_pctile WL_Y, nq(20)
drop if WL_Y>r(r19) | WL_Y<=0
gen IsSOE = 1 if REGTYPE == "110" | REGTYPE == "141" | REGTYPE == "143" | REGTYPE == "151"
replace IsSOE=0 if IsSOE==.
keep FA LTL year cic_adj WL_Y IsSOE VA PERSENG 
save C:\Users\xzw\Desktop\AEJ_Code\stata\CaliData, replace // save the datafile on our computer



